Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades UI

Created: 05/10/2011 Assignee: Markos Gogoulos

Updated: 06/29/2011 Due date:

Subject: Το UI έχει hardcoded strings

Description

To UI έχει hardcoded strings:

devel@store67:~/synnefo/ui [ui-0.3]$ grep -R Shutting'\ down' .

  ./templates/machines.html:                $('#' + serverID + ' .status').text('Shutting down');

  ./templates/machines.html:                $('#' + serverID).parent().parent().find('span.status').text('Shutting down');

  ./templates/list.html:                            'Shutting down'].indexOf(server_row.find('span.status').text()) >= 0) {

  ./templates/standard.html:                $(this).parent().parent().find('.status').text('Shutting down');

  ./templates/standard.html:                            'Shutting down', 'Starting'].indexOf(existing.find(".status").text()) >= 0) {

  ./templates/standard.html:                    'Starting', 'Shutting down'].indexOf(existing.find(".status").text()) >= 0 ) {

  ./templates/standard.html:                ['Starting', 'Shutting down'].indexOf(existing.find(".status").text()) >= 0 ) {

Τα οποία αν δεν κάνω λάθος χρησιμοποιεί για να λειτουργήσει [π.χ., στις τελευταίες γραμμές ψάχνει να βρει τις λέξεις (!)

"Starting", "Shutting Down".

Εξ αρχής είχε τεθεί η προδιαγραφή τα πάντα να είναι μεταφράσιμα, με gettext, οπότε πρέπει να διορθωθεί.

Related issues:

related to Synnefo - Feature # 689: Μετάφραση όλων των strings στα ελληνικά Assigned 06/20/2011

Associated revisions

Revision 0cd7b138 - 05/16/2011 02:23 pm - Markos Gogoulos 

Remove hardcode strings

On the ui. Also add a few translatable strings and update the

translation files.

Refs #473

Revision 0eeb705b - 05/16/2011 03:43 pm - Markos Gogoulos 

Fix internalization.

Remove hardcode strings, add translatable strings

Refs #473

History

#1 - 05/11/2011 05:44 pm - Christos Psaltis

- Assignee changed from Dimitris Moraitis to Mike Muzurakis

- Target version set to v0.4

#2 - 05/14/2011 03:22 pm - Christos Psaltis

- Status changed from New to Assigned
#3 - 05/14/2011 04:12 pm - Markos Gogoulos

- Assignee changed from Mike Muzurakis to Markos Gogoulos

#4 - 05/16/2011 03:46 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Έγινε. Αν έχει ξεμείνει κάτι σημειώστε το εδώ.

#5 - 05/16/2011 04:49 pm - Christos Psaltis

To έλεγξα ξανά και πρόσθεσα κάποια που είχαν ξεφύγει στα commit:81efb3fe και commit:a9f5f1eb. Τώρα πιστεύω ότι δεν υπάρχει κανένα πρόβλημα

και μπορεί να κλείσει.

#6 - 05/23/2011 10:53 pm - Vangelis Koukis

- Status changed from Feedback to Closed

Το κλείνω.

#7 - 06/22/2011 07:47 pm - Vangelis Koukis

- Status changed from Closed to Assigned

- Target version changed from v0.4 to v0.5

Για να μην ανοίγω νέο ticket με το ίδιο περιεχόμενο, ξανα-ανοίγω αυτό.

Φαίνεται πως υπάρχουν strings που δεν είναι μεταφράσιμα.

Ο Πάνος [στο #689] έχει αναλάβει ολοκληρωμένη μετάφραση.

Παρ'όλα αυτά, υπάρχουν strings που εμφανίζονται στα Αγγλικά, γιατί μάλλον είναι hardcoded έτσι (π.χ. το παράθυρο για διόρθωση των tags, τα

κουμπιά εκεί, και άλλα).

Παρακαλώ βεβαιωθείτε ότι δεν υπάρχουν hardcoded strings, στα Αγγλικά, στον κώδικα του UI.

#8 - 06/23/2011 01:06 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Έκανα έλεγχο στον κώδικα και διόρθωσα ό,τι δεν ήταν μέσα σε {% trans %} block. Αν κάτι δεν είναι μεταφρασμένο πλεον σημαίνει οτι δεν έχει γίνει η

μετάφραση του στο .po αρχείο.

#9 - 06/23/2011 04:35 pm - Vangelis Koukis

- Status changed from Feedback to Assigned

Μάρκο, μπορείς να επιβεβαιώσεις ότι όλα τα strings είναι και στο .po αρχείο, ώστε όποιος αναλαμβάνει την μετάφραση να ξέρει τι υπάρχει προς

μετάφραση;
#10 - 06/23/2011 07:38 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Όλα τα strings για την ελληνική μετάφραση βρίσκονται στο locale/el/LC_MESSAGES/django.po. Επίσης έκανα commit αυτό το αρχείο (μαζί και το

παραχθεν .mo) και είναι 100% up to date με τον κώδικα που υπάρχει αυτή τη στιγμή

#11 - 06/29/2011 06:55 pm - Vangelis Koukis

Αν υπάρχει κάποιο άλλο μήνυμα αμετάφραστο το βλέπουμε, προς το παρόν η μετάφραση μπορεί να συνεχίσει με το υπάρχον .po.

Το κλείνω.

#12 - 06/29/2011 06:55 pm - Vangelis Koukis

- Status changed from Feedback to Closed
